---
os_pg_user: gitlab-psql
pg_user: gitlab-psql


pg_publication_count: 1  # number of publications, replication slots and subscriptions to be created for logical replication (source->target)
pg_publication_count_reverse: 1  # number of publications, replication slots and subscriptions to be created for reverse logical replication (if 'enable_reverse_logical_replication' is 'true')

# Reverse logical replication (rollback without losing changes)
enable_reverse_logical_replication: true  # if 'true', reverse logical replication will be configured (source<-target) during R/W traffic switching (switchover_leader.yml)

pg_source_port: 5432
pg_source_dbname: gitlabhq_production
pg_source_replica_user: gitlab-superuser
pg_source_publication_name: logical_replication
pg_source_logical_slot_name: logical_replication_slot
pg_source_subscription_name: logical_subscription

pg_source_wal_keep_gigabytes: 100  # or 'none' to not change the parameter
# pg_source_wal_keep_gigabytes - the number of WAL files (in gigabytes) to hold in the Source Cluster.
# To guarantee that the necessary WAL files are available to reach recovery_target_lsn via streaming replication for the leader of the Target Cluster.
# After performing the upgrade procedure, the parameter will be reset to original state.

pg_target_port: 5432
pg_target_dbname: "{{ pg_source_dbname }}"
pg_target_replica_user: "{{ pg_source_replica_user }}"
pg_target_publication_name: "{{ pg_source_publication_name }}"
pg_target_logical_slot_name: "{{ pg_source_logical_slot_name }}"
pg_target_subscription_name: "{{ pg_source_subscription_name }}"

logical_replication_tables: []  # a list of tables in the format "schemaname.relname" that will be added to the publication for logical replication. If not specified, add all tables.

pg_version: 16
pg_upper_datadir: /var/opt/gitlab/postgresql
pg_bindir: "/usr/lib/postgresql/{{ pg_version }}/bin"
pg_datadir: "{{ pg_upper_datadir }}/data{{ pg_version }}"
pg_confdir: "{{ pg_datadir }}"
pg_log_dir: /var/log/gitlab/postgresql
pg_log_format: csv
pg_ctl_timeout: 1800

patroni_config_dir: /var/opt/gitlab/patroni
patroni_config_file: "{{ patroni_config_dir }}/patroni.yml"
patroni_restapi_port: 8009
patroni_superuser_username: "gitlab-superuser"
patroni_replication_username: "gitlab-replicator"

max_replication_lag_bytes: 10485760  # 10 MiB. The size of the allowed replication lag.

pgbouncer_pool_pause: true
